"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _reactIs = require("react-is");

function _default(modalName, modalComponent) {
  if ('modal' in modalComponent && !(0, _reactIs.isValidElementType)(modalComponent.modal) || 'modal' in modalComponent === false && !(0, _reactIs.isValidElementType)(modalComponent)) {
    throw new Error(`The component for modal '${modalName}' must be a valid React component. For instance:
      import MyModal from './MyModal';
  
        ...
        ${modalName}: MyModal,
      }
  
      You can also use an object:
        ...
        ${modalName}: {
          modal: MyModal
        },
      }`);
  }

  let options;
  let modalObj;

  if ('modal' in modalComponent) {
    const {
      modal,
      ...rest
    } = modalComponent;
    modalObj = modal;
    options = rest;
  }

  return {
    component: modalObj || modalComponent,
    name: modalName,
    options
  };
}
//# sourceMappingURL=getStackItemData.js.map