"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _invariant = _interopRequireDefault(require("./invariant"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const validEventNames = ['onAnimate', 'onClose'];

function _default(_, payload) {
  const {
    eventName,
    handler
  } = payload;
  (0, _invariant.default)((eventName === null || eventName === void 0 ? void 0 : eventName.length) > 0, "You didn't pass any event listener name to addListener()");
  (0, _invariant.default)(validEventNames.some(name => name === eventName), `'${eventName}' is not a valid event listener name. Did you mean any of these: ${validEventNames.map(validName => `\n• ${validName}`)}`);
  (0, _invariant.default)(handler, "You didn't pass any handler to addListener()");
  (0, _invariant.default)(typeof handler === 'function', 'The handler you pass to addListener() must be a function');
}
//# sourceMappingURL=validateListener.js.map