import invariant from './invariant';
const validEventNames = ['onAnimate', 'onClose'];
export default function (_, payload) {
  const {
    eventName,
    handler
  } = payload;
  invariant((eventName === null || eventName === void 0 ? void 0 : eventName.length) > 0, "You didn't pass any event listener name to addListener()");
  invariant(validEventNames.some(name => name === eventName), `'${eventName}' is not a valid event listener name. Did you mean any of these: ${validEventNames.map(validName => `\n• ${validName}`)}`);
  invariant(handler, "You didn't pass any handler to addListener()");
  invariant(typeof handler === 'function', 'The handler you pass to addListener() must be a function');
}
//# sourceMappingURL=validateListener.js.map