import { ReactNode } from 'react';
import type { ModalStack as ModalStackType } from '../types';
interface Props {
    children: ReactNode;
    stack: ModalStackType<any>;
}
/**
 * `<ModalProvider>` is the component you're going to use to wrap your whole application,
 * so it'll be able to display your modals on top of everything else, using React Context API.
 *
 * @prop { ModalStackType } `stack` - Modal stack object generated by `createModalStack()`
 *
 * @see https://colorfy-software.gitbook.io/react-native-modalfy/guides/stack#provider
 */
declare const ModalProvider: ({ children, stack }: Props) => JSX.Element;
export default ModalProvider;
